public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-cpp/fast_float/
Date: Sun,  1 Dec 2024 11:45:37 +0000 (UTC)	[thread overview]
Message-ID: <1733053476.7d5830ca72b0fa331c9772968a603869647c674a.sam@gentoo> (raw)

commit:     7d5830ca72b0fa331c9772968a603869647c674a
Author:     Steffen Winter <steffen.winter <AT> proton <DOT> me>
AuthorDate: Sun Nov 24 20:12:23 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Dec  1 11:44:36 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7d5830ca

dev-cpp/fast_float: add 7.0.0

Signed-off-by: Steffen Winter <steffen.winter <AT> proton.me>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-cpp/fast_float/Manifest                |  1 +
 dev-cpp/fast_float/fast_float-7.0.0.ebuild | 34 ++++++++++++++++++++++++++++++
 2 files changed, 35 insertions(+)

diff --git a/dev-cpp/fast_float/Manifest b/dev-cpp/fast_float/Manifest
index b4b2a441fd7f..b69b2ab65e2d 100644
--- a/dev-cpp/fast_float/Manifest
+++ b/dev-cpp/fast_float/Manifest
@@ -1 +1,2 @@
 DIST fast_float-6.1.6.tar.gz 101727 BLAKE2B eb9833f7bff6e6086db1525fcc71231c5cc8f47985aa4c71078d896afb5fea20c41bfdb55de6c1e8c9cfa6c9b842331f340115590683e1d9e6a3ba40f4148870 SHA512 d2dbd2537f433329a76539c061238af080125526b7822fbfdf0f70ac0a6800114848b9be0fdf9c51dbb22211af3bdcf9829ed9cc4a47fd28ecdeecf7c5d4b663
+DIST fast_float-7.0.0.tar.gz 103358 BLAKE2B 7334a74952aba9629e0cd0f3b49679ed8f9c84436d3e9b10438d09416341343efc34acc0f87283a20fff5866d1e5787f456ac8a37f0a918823369419378ddb53 SHA512 d6745c0f7d3b7fd31d710ca1a5b8a58506d0009dbf2e1a29c70483abcec2c2498a15a5efef203f39b43a9357a04c91e360080b7897fffdf68bf4ec561c40c77d

diff --git a/dev-cpp/fast_float/fast_float-7.0.0.ebuild b/dev-cpp/fast_float/fast_float-7.0.0.ebuild
new file mode 100644
index 000000000000..974c160275da
--- /dev/null
+++ b/dev-cpp/fast_float/fast_float-7.0.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Fast and exact implementation of the C++ from_chars functions for number types"
+HOMEPAGE="https://github.com/fastfloat/fast_float"
+SRC_URI="https://github.com/fastfloat/fast_float/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="|| ( Apache-2.0 Boost-1.0 MIT )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86"
+IUSE="test"
+
+BDEPEND="test? ( dev-cpp/doctest )"
+
+RESTRICT="!test? ( test )"
+
+src_configure() {
+	local mycmakeargs=( -DFASTFLOAT_TEST=$(usex test) )
+	# Avoid passing these without USE=test to avoid cmake warning
+	# "Manually-specified variables were not used by the project"
+	use test && mycmakeargs+=(
+		-DSYSTEM_DOCTEST=ON
+		# Unconditionally calls FetchContent
+		-DFASTFLOAT_SUPPLEMENTAL_TESTS=OFF
+	)
+
+	sed -i 's/-Werror//' tests/CMakeLists.txt || die
+
+	cmake_src_configure
+}


             reply	other threads:[~2024-12-01 11:45 UTC|newest]

Thread overview: 17+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-12-01 11:45 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-05-06  7:48 [gentoo-commits] repo/gentoo:master commit in: dev-cpp/fast_float/ Joonas Niilola
2025-05-06  7:48 Joonas Niilola
2025-05-06  7:48 Joonas Niilola
2025-03-21 16:09 Jakov Smolić
2025-03-07 15:09 Viorel Munteanu
2025-02-01  9:51 Arthur Zamarin
2025-02-01  7:44 WANG Xuerui
2025-01-28 14:18 Sam James
2024-12-31  4:57 Sam James
2024-12-31  4:57 Sam James
2024-12-01 11:45 Sam James
2024-11-23 20:16 Sam James
2024-10-23 19:50 Arthur Zamarin
2024-10-19 14:07 Jakov Smolić
2024-10-17 23:36 Sam James
2024-10-17 14:03 Joonas Niilola

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1733053476.7d5830ca72b0fa331c9772968a603869647c674a.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox